### Method

# Gegl Curve add_point

#### Declaration [src]

    guint
    gegl_curve_add_point (
      GeglCurve* curve,
      gdouble x,
      gdouble y
    )

#### Description [src]

Add a point to the curve at `x` `y` (replacing the value exactly for `x` if it already exists.

#### Parameters

`x`

  Type: `gdouble`

  X coordinate.

`y`

  Type: `gdouble`

  Y coordinate.

#### Return value

Type: `guint`

No description available.